# $Revision: 1.103.2.2 $, $Date: 2004/12/10 22:27:43 $
Summary:	Image loading and rendering library for X11R6
Summary(es):	Biblioteca de carga y render 3D para X11R6
Summary(fr):	Librairie de chargement et interprtation d'images pour X11R6
Summary(ko):	X11R6  ׸ б/ȭ鿡 ׷ֱ ̺귯
Summary(pl):	Biblioteki do renderowania i adowania grafiki pod X11R6
Summary(pt_BR):	Biblioteca de carga e renderizao para X11R6
Name:		imlib
Version:	1.9.14
Release:	12.2
Epoch:		1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/%{name}-%{version}.tar.bz2
# Source0-md5: a337643f75bb431034d7213ac74f13dc
Source1:	%{name}-config.desktop
Patch0:		%{name}-m4_fix.patch
Patch1:		%{name}-full_i18n.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-ac25x.patch
Patch4:		%{name}-locale-names.patch
Patch5:		%{name}-am18.patch
Patch6:		%{name}-1.9.14-suse-alt-bound.patch
Patch14:	%{name}-intl.patch
Patch15:	%{name}-CAN-2004-1026.patch
URL:		http://www.labs.redhat.com/imlib/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	libjpeg-devel >= 6b-18
BuildRequires:	libtiff-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtool
BuildRequires:	libungif-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libimlib1

%define		_sysconfdir	/etc/X11
%define		_desktopdir	%{_applnkdir}/Settings

%description
Imlib is an advanced replacement library for libraries like libXpm
that provides many more features with much greater flexability and
speed.

%description -l es
Imlib es una biblioteca avanzada que sustituye las bibliotecas libXpm
que ofrece mucho ms opciones/caractersticas con una flexibilidad y
velocidad mucho mayores.

%description -l fr
Imlib est une librairie de remplacement avance pour les librairies
comme libXpm qui fourni plus d'atouts et beaucoup plus de flexibilit
et de vitesse.

%description -l pl
Imlib jest zaawansowanym zamiennikiem bibliotek typu libXpm, ze
zwikszon elastycznoci oraz prdkoci.

%description -l pt_BR
A imlib  uma biblioteca avanada que substitui as bibliotecas libXpm
que fornece muito mais opes/caractersticas com uma flexibilidade e
velocidade muito maiores.

%package cfgeditor
Summary:	Imlib configuration editor
Summary(es):	Editor de configuracin de imlib
Summary(ko):	Imlib̺귯  
Summary(pl):	Edytor konfiguracji do biblioteki imlib
Summary(pt_BR):	Editor da configurao da imlib
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}

%description cfgeditor
The imlib_config program allows you to control the way imlib uses
color and handles gamma correction/etc.

%description cfgeditor -l es
El programa imlib_config te permite controlar como imlib usa los
colores y manipula la correccin gamma, etc.

%description cfgeditor -l pl
Program imlib_config umoliwia zmian sposobu uywania przez
bibliotek imlib kolorw, korekcji gamma i innych.

%description cfgeditor -l pt_BR
O programa imlib_config lhe permite controlar como a imlib usa as
cores e trata correo gamma, etc.

%package devel
Summary:	Imlib header files and development documentation
Summary(es):	Archivos de inclusin, bibliotecas y documentacin para Imlib
Summary(fr):	Fichiers entte pour Imlib
Summary(ko):	Imlib α׷   
Summary(pl):	Pliki nagwkowe oraz dokumentacja do imlib
Summary(pt_BR):	Arquivos de incluso, bibliotecas e documentao para a Imlib
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}
# Every program using imlib should get a list of libraries to link with by
# executing `imlib-config --libs`. All libraries listed below are returned by
# this call, so they are required by every program compiled with imlib.
Requires:	libjpeg-devel
Requires:	libtiff-devel
Requires:	libungif-devel
Requires:	libpng-devel
Requires:	zlib-devel
Requires:	XFree86-devel
Obsoletes:	libimlib1-devel

%description devel
Header files and development documentation for Imlib.

%description devel -l es
Archivos de inclusin, bibliotecas estticas y documentacin para
imlib.

%description devel -l fr
Fichiers entte pour Imlib.

%description devel -l pl
Pliki nagwkowe oraz dokumentacja do biblioteki Imlib.

%description devel -l pt_BR
Arquivos de incluso, bibliotecas estticas e documentao para a
imlib.

%package static
Summary:	Imlib static libraries
Summary(pl):	Biblioteki statyczne imlib
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com imlib
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
Imlib static libraries.

%description static -l pl
Biblioteki statyczne imlib.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com imlib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
# temporary hack
#%patch14 -p1
%patch15 -p1

# locale names change
mv -f po/zh_CN{.GB2312,}.po
mv -f po/{no,nb}.po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

# no static modules and *.la for modules - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/libimlib-*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libImlib.so.*.*
%attr(755,root,root) %{_libdir}/libgdk_imlib.so.*.*
%attr(755,root,root) %{_libdir}/libimlib-*.so
%config %{_sysconfdir}/*

%files cfgeditor -f %{name}.lang
%defattr(644,root,root,755)
%{_desktopdir}/imlib-config.desktop
%attr(755,root,root) %{_bindir}/imlib_config
%{_mandir}/man1/imlib_config.1*

%files devel
%defattr(644,root,root,755)
%doc doc/{*gif,*.html}
%attr(755,root,root) %{_bindir}/imlib-config
%attr(755,root,root) %{_libdir}/libImlib.so
%attr(755,root,root) %{_libdir}/libgdk_imlib.so
%{_libdir}/libImlib.la
%{_libdir}/libgdk_imlib.la
%{_includedir}/*
%{_aclocaldir}/*
%{_pkgconfigdir}/*.pc
%{_mandir}/man1/imlib-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libImlib.a
%{_libdir}/libgdk_imlib.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: imlib.spec,v $
Revision 1.103.2.2  2004/12/10 22:27:43  adamg
- added CAN-2004-1026 patch (fixes several buffer overflows)
- relase 12.2
- STBR

Revision 1.103.2.1  2004/09/17 13:15:10  blues
- RA-fixes, disabled intl hack (is it still needed on HEAD?)

Revision 1.103  2004/09/17 13:06:06  blues
- release 12.1

Revision 1.102  2004/09/14 16:00:13  saq
- fixed SECURITY buffer overrun
- release 12, STBR for Ac

Revision 1.101  2004/09/12 11:47:56  blues
- SECURITY note

Revision 1.100  2004/07/22 22:37:05  ankry
- no -> nb, rel. 11

Revision 1.99  2004/07/22 21:59:13  ankry
- desktop fix, rel. 10

Revision 1.98  2003/12/22 16:20:15  qboosh
- added am18 patch (imlib.m4 quotation fix); cleanups, release 9

Revision 1.97  2003/12/10 19:00:47  grzegol
- _applnkdir -> _desktopdir; rel. 8

Revision 1.96  2003/08/23 08:25:54  krzak
- Release 7, rebuild

Revision 1.95  2003/06/20 17:37:51  jareq
- fixed epoch:version issue

Revision 1.94  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.93  2003/05/25 05:48:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.92  2003/05/16 10:03:21  qboosh
- added locale-zh patch to standardize zh_CN name
- removed static modules, shut up check-files

Revision 1.91  2003/03/20 20:31:17  qboosh
- added missing imlib[-_]config(1) manuals and *.pc files
- removed bugus "es translations"

Revision 1.90  2003/02/13 12:32:55  wiget
- BR: libpng-devel not libpng

Revision 1.89  2003/02/07 09:21:21  pascalek
- libtoolize

Revision 1.88  2003/01/31 23:18:41  adgor
- Release 6

Revision 1.87  2003/01/18 22:51:59  juandon
- removed two lines with define

Revision 1.86  2003/01/15 13:13:00  qboosh
- updated Source0 URL

Revision 1.85  2002/12/02 11:06:20  ankry
- massive cleaning

Revision 1.84  2002/11/25 14:16:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.83  2002/11/08 22:11:19  kloczek
- release 5: remove hack in %build for libpng 1.2 and merge translations from MIZI.

Revision 1.82  2002/11/05 15:25:43  juandon
- added patch

Revision 1.81  2002/10/09 13:14:34  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.80  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.79  2002/05/21 23:13:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.78  2002/05/02 00:16:59  qboosh
- updated ac25x patch to work with autoconf 2.53

Revision 1.77  2002/05/02 00:10:31  qboosh
- removed gdk-pixbuf-devel from BR - seems not used at all

Revision 1.76  2002/05/01 23:35:11  kloczek
- release 2,
- reenabled ac25x patch (updated for 1.9.14),
- merge translations from Conectiva.

Revision 1.75  2002/05/01 13:56:43  kloczek
- libimlib1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.74  2002/05/01 08:53:13  mmazur
- upgraded to 1.9.14; SECURITY FIX; rel1; STBR

Revision 1.73  2002/04/25 16:36:25  arturs
fixed a small typo

Revision 1.72  2002/04/18 10:16:22  wiget
allow compilling with libpng 1.2.2, release 2.1

Revision 1.71  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.70  2002/03/23 22:19:12  kloczek
- release 2.

Revision 1.69  2002/03/23 19:51:19  qboosh
- ac25x patch to fix autoconf madness (needed for 2.53)

Revision 1.68  2002/03/22 10:44:45  ankry
- upgdaded to 1.9.13, release 1; it builds, not tested whether it works

Revision 1.67  2002/02/23 02:59:06  kloczek
- adapterized.

Revision 1.66  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.65  2002/02/03 20:51:30  ankry
- adding es/pt/pt_BR Group translations

Revision 1.64  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.63  2001/10/23 20:34:04  qboosh
- added config patch to remove @LDFLAGS@ from `imlib-config --libs` - it caused
  stripping of all binaries linked with imlib (LDFLAGS contain only "-s" here)
- fixed static -l pl description
- release 3

Revision 1.62  2001/09/06 17:41:04  kloczek
- release 2.

Revision 1.61  2001/09/06 01:01:42  blues
- description corrected (i.e. removed english text from polish part...)
- rm -rf missing added

Revision 1.60  2001/08/09 11:37:45  blues
- gdk-pixbuf added to requires

Revision 1.59  2001/08/06 10:47:50  kloczek
- updated to 1.9.11.

Revision 1.58  2001/07/15 22:26:16  kloczek
- release 3: rebuild.

Revision 1.57  2001/04/28 15:04:01  qboosh
- require libjpeg with fixed jconfig.h
- release 2: rebuild with libjpeg support

Revision 1.56  2001/04/12 00:29:43  kloczek
- updated to 1.9.10.

Revision 1.55  2001/02/20 02:42:24  kloczek
- updated to 1.9.9,
- removed obsoleted palfallback and gdk patches.

Revision 1.54  2001/02/16 10:59:24  kloczek
- release 7: removed *.la files for plugins.

Revision 1.53  2000/12/30 04:24:34  michuz
- moved back files to %%{_applnkdir}/Settings

Revision 1.52  2000/12/30 04:06:25  michuz
- release 7
- moved %%{_applnkdir}/Settings/* to %%{_applnkdir}/Settings/GNOME

Revision 1.51  2000/10/23 21:05:36  kloczek
- release 6, Epoch 1 (for allow upgrade from RH 7).

Revision 1.50  2000/10/06 01:40:37  kloczek
- release 5: use new rpm automation suit.

Revision 1.49  2000/08/20 20:26:49  kloczek
- release 4,
- added full i18n support for imlib cfg editor basing on .po files from MDK
  package (MDK has completly f^Hbrouken i18n in imlib),
- merged palfallback patch from redhat,
- added m4_fix patch with fix aclocal macros for imlib (bump minimal version
  imlib to 1.9.5).

Revision 1.48  2000/07/29 16:37:17  kloczek
- spec adapterized.

Revision 1.47  2000/07/28 13:57:42  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.46  2000/07/19 19:53:05  baggins
- release 2
- rebuild with libpng 1.0.7

Revision 1.45  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.44  2000/06/09 07:23:01  kloczek
- added using %%{__make} macro.

Revision 1.43  2000/05/25 20:28:23  kloczek
- updated to 1.9.8.1.

Revision 1.42  2000/05/17 21:54:34  kloczek
- release 5,
- fixed typo in Requires,
- spec adapterized,
- added using %%{_aclocaldir} macro.

Revision 1.41  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.40  2000/04/28 20:16:58  mkochano
- Typo.

Revision 1.39  2000/04/28 17:40:30  mkochano
- More 'Requires' in '-devel' package.
- Release++.

Revision 1.38  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.37  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.36  2000/02/07 18:33:09  baggins
- release 3
- added gdk patch, imlib_gdk must be linked with libgdk.so

Revision 1.35  2000/02/02 11:43:08  zagrodzki
- typo

Revision 1.34  2000/01/28 18:50:24  kloczek
- spec adapterized.

Revision 1.33  1999/12/07 10:33:11  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.32  1999/11/13 10:42:30  waszi
- updated to 1.9.8

Revision 1.31  1999/11/12 07:38:55  waszi
- small fixes

Revision 1.30  1999/11/09 03:06:16  kloczek
- fr translation from freshmeat packages.

Revision 1.29  1999/10/12 22:15:36  kloczek
- release 2,
- fixred BR#86: added desktop file for imlib-config (movesd from
  gnome-core).

Revision 1.28  1999/09/07 22:09:27  kloczek
- added libungif-devel and zlib-devel to BuildRequires.

Revision 1.27  1999/09/07 21:56:44  kloczek
- fix: imlib plugins moved to proper package (from devel to main),
- added lib*.la to main (for plugins) and to devel (for imlib libraries).
- added stripping imlib plugins.

Revision 1.26  1999/09/07 21:21:48  kloczek
- updated to 1.9.7,
- removed SONAME symlinks from main package.

Revision 1.25  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.24  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.9.4-3]
- spec based on RH version,
- rewrirted by Piotr Czerwiski <pius@pld.org.pl> and me,
- pl translation Wojtek lusarczyk <wojtek@shadow.eu.org>.
